=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               docbook-xml,
               docbook-xsl,
               extra-cmake-modules (>= 5.44.0~),
               flex,
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<= 5.15)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Architecture: any
Section: libdevel
Depends: libkf5config-dev (>= 5.44.0~),
         libkf5coreaddons-dev (>= 5.44.0~),
         libkf5dbusaddons-dev (>= 5.44.0~),
         libkf5i18n-dev (>= 5.44.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5service5 (<< 5.12.0~)
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
