=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: bison,
-               cmake (>= 2.8.12),
+               cmake (>= 3.0~),
                dbus-x11,
-               debhelper (>= 9),
+               debhelper (>= 11~),
                docbook-xml,
                docbook-xsl,
-               extra-cmake-modules (>= 5.44.0~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
                flex,
-               libkf5config-dev (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5crash-dev (>= 5.44.0~),
-               libkf5dbusaddons-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
+               graphviz,
+               libkf5config-dev (>= 5.50.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5crash-dev (>= 5.50.0~),
+               libkf5dbusaddons-dev (>= 5.50.0~),
+               libkf5doctools-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libqt5sql5-sqlite,
                libxml2-utils,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kservice
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
@@ -48,21 +52,36 @@
 
 Package: libkf5service-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libkf5config-dev (>= 5.44.0~),
-         libkf5coreaddons-dev (>= 5.44.0~),
-         libkf5dbusaddons-dev (>= 5.44.0~),
-         libkf5i18n-dev (>= 5.44.0~),
+Depends: libkf5config-dev (>= 5.50.0~),
+         libkf5coreaddons-dev (>= 5.50.0~),
+         libkf5dbusaddons-dev (>= 5.50.0~),
+         libkf5i18n-dev (>= 5.50.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libkf5service5 (<< 5.12.0~)
+         ${shlibs:Depends},
+Recommends: libkf5service-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28),
+        libkf5service5 (<< 5.12.0~),
+        plasma-framework-dev (<< 5.28),
 Replaces: libkf5service5 (<< 5.12.0~)
 Description: development files for kservice
  Application framework for file type association
  and plugin locating.
  .
  Contains development files for kservice.
+
+Package: libkf5service-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Advanced plugin and service introspection (documentation)
+ Application framework for file type association
+ and plugin locating.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5service5
 Architecture: any
