=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 macro(KSERVICE_UNIT_TESTS)
   foreach(_testname ${ARGN})
     ecm_add_test(${_testname}.cpp TEST_NAME ${_testname}
-        LINK_LIBRARIES KF5::Service Qt5::Test Qt5::Concurrent)
+        LINK_LIBRARIES KF5::Service Qt5::Test Qt5::Concurrent Qt5::Xml)
     target_compile_definitions(${_testname} PRIVATE -DKBUILDSYCOCAEXE=\"$<TARGET_FILE:kbuildsycoca5>\")
   endforeach()
 endmacro(KSERVICE_UNIT_TESTS)
@@ -33,6 +33,9 @@
 # KServiceTest::testAllServices can fail if any service is deleted while the test runs
 set_tests_properties(kservicetest PROPERTIES RUN_SERIAL TRUE)
 
+target_sources(kservicetest PUBLIC
+  ${CMAKE_CURRENT_SOURCE_DIR}/../src/services/ktraderparsetree.cpp
+)
 
 add_library(fakeplugin MODULE nsaplugin.cpp)
 ecm_mark_as_test(fakeplugin)
@@ -54,5 +57,5 @@
 ecm_qt_declare_logging_category(kmimeassociationstest_SRCS HEADER sycocadebug.h IDENTIFIER SYCOCA CATEGORY_NAME kf5.kservice.sycoca)
 
 ecm_add_test(${kmimeassociationstest_SRCS} TEST_NAME kmimeassociationstest
-             LINK_LIBRARIES KF5::Service Qt5::Test)
+             LINK_LIBRARIES KF5::Service Qt5::Test Qt5::Xml)
